#include "schedtest.decl.h"

#define NMSG 100000

class InitMsg : public CMessage_InitMsg
{
  int x ;
};

class main : public Chare
{
public:
  main(CkMigrateMessage *m) {}
  main(CkArgMsg*);
};

class test : public Chare
{
private:
  int msg_count;
  double starttimer, endtimer;
  double timeTaken1, timeTaken2;
public:
  test(CkMigrateMessage *m) {}
  test(InitMsg *msg);
  void process(InitMsg *msg);
  void process_t(InitMsg *msg);
};
